Subject: Re: [RFC suggestion] Generate manpage directly with Asciidoctor

From: Felipe Contreras <[email-masked]>
Date: Fri, 07 May 2021 18:03:37 -0500

Đoàn Trần Công Danh wrote:
> On 2021-05-07 13:06:31+0700, Bagas Sanjaya <[email-masked]> wrote:
> > So completely migrating to Asciidoctor can eliminate xmlto requirement
> > for generating manpage.
> > 
> > What do you think about above?
> 
> Hm, I'm pretty sure Ruby (asciidoctor's language) is very hard to port.
> Last I heard, it's buggy on some platforms.

And I'm pretty sure it isn't.

Ruby is a mainstream language. At some point it was #8 in the TIOBE
index, above PHP and Perl. Right now it's #11.

A lot of effort has been put to make Ruby work on all platforms.

> I think we're better to do like this:
> 
> * If we're using asciidoc, we will use xmlto
> * If we're using asciidoctor, we will generate man-pages with
>   asciidoctor directly

This certainly is the way to go.

I'm not sure if Bagas suggested to make USE_ASCIIDOCTOR=YesPlease the
default, but first we would need to make sure the output without xmlto
is desirable, which we don't at the moment.

So, even if we were to consider this, *first* the option to use pure
asciidoctor needs to be in place.

Cheers.

-- 
Felipe Contreras